OpenSSL patches a severe but not widespread problem

In some instances, OpenSSL will reuse prime numbers

security code big data cyberespionage DDoS
Credit: Gerd Altmann / Pixabay

The OpenSSL project has patched a problem in the cryptographic library but one that likely does not affect many popular applications.

OpenSSL enables SSL (Secure Sockets Layer) or TLS (Transport Layer Security) encryption. Most websites use it, which is indicated in Web browsers with a padlock symbol.

It's an open-source library that is widely used in applications for secure data transfers. After serious vulnerabilities were found in OpenSSL over the last couple of years, the application has been under much scrutiny by security researchers.

The latest vulnerability affects versions 1.0.1 and 1.0.2. The updated versions are 1.0.2f and 1.0.1r.

In some cases, OpenSSL reuses prime numbers when using the Diffie-Hellman protocol, which could allow an attacker to possibly crack the encryption.

There are some mitigating factors. An attacker would have to complete multiple handshakes with the computer he or she is trying to compromise.

However, the option that reuses prime numbers is not on by default, and most applications likely are not at risk if that option has not been changed, according to the advisory.

OpenSSL underpins two of the most widely used Web servers, Apache and nginx. The code library is also used to protect email servers, chat servers, virtual private networks and other networking appliances.

The discovery of an alarming flaw called Heartbleed in April 2014 prompted a wide examination of OpenSSL. An audit was launched with the aim of eliminating years-old but unknown flaws.

Must read: Hidden Cause of Slow Internet and how to fix it
View Comments
Join the discussion
Be the first to comment on this article. Our Commenting Policies